- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::XForm Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| XForm ()
| XForm (const XForm &xform)

## Public Attributes
double | pinX
double | pinY
double | height
double | width
double | pinLocX
double | pinLocY
double | angle
bool | flipX
bool | flipY
double | x
double | y

## Constructor & Destructor Documentation

libvisio::XForm::XForm | ( |  | ) |
| inline

libvisio::XForm::XForm | ( | const XForm & | xform | ) |
| inline

## Member Data Documentation

double libvisio::XForm::angle

Referenced by libvisio::VSDContentCollector::applyXForm().

bool libvisio::XForm::flipX

Referenced by libvisio::VSDContentCollector::applyXForm(), and libvisio::VSDContentCollector::transformFlips().

bool libvisio::XForm::flipY

Referenced by libvisio::VSDContentCollector::applyXForm(), and libvisio::VSDContentCollector::transformFlips().

double libvisio::XForm::height

double libvisio::XForm::pinLocX

Referenced by libvisio::VSDContentCollector::applyXForm().

double libvisio::XForm::pinLocY

Referenced by libvisio::VSDContentCollector::applyXForm().

double libvisio::XForm::pinX

Referenced by libvisio::VSDContentCollector::applyXForm().

double libvisio::XForm::pinY

Referenced by libvisio::VSDContentCollector::applyXForm().

double libvisio::XForm::width

double libvisio::XForm::x

double libvisio::XForm::y

The documentation for this struct was generated from the following file:

- VSDTypes.h